::selection {
    background: #f39200;
    color: white;
}

* {
    margin: 0;
    padding: 0;
}

body {
    overflow-x: hidden;
    display: flex;
    flex-direction: column;
    font-family: 'router';
    color: #7f7f7f;
}

body::-webkit-scrollbar {
    width: 1em;
}

body::-webkit-scrollbar-track {
    background-color: white;
}

body::-webkit-scrollbar-thumb {
    background-image: linear-gradient(to bottom right, #ffbd5b, #f39200);
    border-radius: 1em;
}

h1 {
    font-family: 'Mestiza';
    font-weight: bold;
    color: #f39200;
}

h1, h2, h3, h4, h5, h6 {
    letter-spacing: -0.05em;
}

h2, .restaurantName {
    font-family: 'Router';
    font-weight: bold;
    font-style: italic;
    color: #ffaa2d;
    letter-spacing: -0.05em;
}

h3 {
    color: #FFBD5B;
}

.titelbild {
    position: relative;
    text-align: center; 
    color: white;
    margin-top: 0px;
}

.titelbild-inhalt {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-family: 'Mestiza';
    font-size: 200%;
    letter-spacing: -0.1em;
}

#titelbild-logo {
    width: 35%;
}

#logo-nav {
    width: 5em;
    position: relative;
}

nav {
    left: 5%;
    right: 5%;
    width: 90%;
    align-items: center;
    justify-content: center;
}

.navbar {
    background-color: #f39200!important;
    width: 90%;
    height: 4em;
    margin-top: 2em;
    padding-left: 1em;
    padding-right: 1em;
    box-sizing: border-box;
    box-shadow: 0px 10px 40px rgba(0, 0, 0, 0.15),
        0px 10px 10px rgba(0, 0, 0, 0.1);
    border-radius: 9px;
    position: -webkit-sticky;
    position: fixed;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 2;
}

/* #navbarNav {
    background-color: #f39200!important;
    width: 100%;
} */

.nav-item {
    font-family: "router", "sans-serif";
    font-weight: bold;
    font-style: italic;
    width: 100%;
}

.nav-link {
    color: white;
    /* damit kein Zeilenumbruch entsteht */
    white-space: nowrap;
}

.nav-link-underline:after {
    display: block;
    content: '';
    width: inherit;
    border-bottom: solid 2px #FFD79B;  
    transform: scaleX(0);  
    transition: transform 500ms ease-in-out;
  }

.nav-link-underline:hover {
    color: #FFD79B;
    transition-duration: 500ms;
}
  
.nav-link-underline:hover:after { 
    transform: scaleX(1); 
}

.down nav {
    transform: translate3d(0, -100px, 0); /* um 100px nach oben verschieben */
 }

/* Footer Beginn */
footer {
    margin: 0;
    position: relative;
    background-color: #f39200;
    color: white;
}

#logo-footer {
    width: 90%;
    padding: 3em;
    align-items: center;
}

.footerLinks {
    padding: 2em;
    justify-content: center;
}

.footerLinks a {
    color: white!important;
    font-weight: normal;
    transform: translateX(-1em);
    transition-duration: 0.5s;
}

.pfeilFooter {
    opacity: 0;
    transform: translateX(5px);  /* Beginnt leicht verschoben */
    transition: opacity 0.5s, transform 0.5s;  /* Animiert Opacity und Transformation */
}

.footerLinks a:hover .pfeilFooter {
    opacity: 1;
    transform: translateX(0);  /* Kommt in die normale Position */
}

.rowFooter {
    --bs-gutter-x: 0;
}
/* Footer Ende */

/* AGBs */
.h3AGBs {
    font-style: italic;
}
/* AGBs Ende */

/* linkText */
.linkText {
    text-decoration: none;
    color: #f39200;
    transition-duration: 0.5s;
}

.linkText:hover {
    color: #7f7f7f;
}
/* linkText Ende */

.btnNav {
    background-color: white;
    color: #f39200;
    border: none;
    font-weight: bold;
    margin: 0.2em;
    transition-duration: 0.4s;
    border: 2px solid white;
}

.btnNav:hover {
    background-color: #f39200;
    color: white;
    border: 2px solid white;
}

.btnOrange, .btnOrangeCard {
    background-color: #f39200;
    color: white;
    border: none;
    font-weight: bold;
    margin: 0.2em;
    transition-duration: 0.4s;
    border: 2px solid #f39200;
}

.btnOrange:hover {
    background-color: transparent;
    color: #f39200;
    border: 2px solid #f39200;
}

.btnOrangeCard:hover {
    background-color: rgba(243, 146, 0, 0.05);
    color: #f39200;
    border: 2px solid #f39200;
}

.btnRestaurantSuche {
    background-color: #f39200;
    color: white;
    border: none;
    font-weight: bold;
    transition-duration: 0.4s;
    border: 2px solid #f39200;
}

.btnRestaurantSuche:hover {
    background-color: white;
    color: #f39200;
    border: 2px solid #f39200;
}

.volleBreite {
    width: 100%;
}

/* Animation Cards Index Anfang */
/* .wrapper {
    padding: 10px 10%;
}

#card-area {
    padding: 50px 0;
}

.box-area {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(1em, 1fr));
    grid-gap: 3em;
}

.box {
    border-radius: 10px;
    position: relative;
    overflow: hidden;
    box-shadow: 5px 5px 15px rgba(0,0,0,0.5);
}

.box img {
    width: 100%;
    border-radius: 0.5em;
    display: block;
    transition: transform 0.5s;
}

.darken {
    filter: brightness(70%);
}

.overlay {
    height: 100%;
    width: 100%;
    color: white;
    border-radius: 1em;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 2em;
    text-align: center;
    font-size: 1em;
    transition: padding-top 0.5s, opacity 0.5s;
    letter-spacing: -0.05em;
    opacity: 0;
}

.overlay h3 {
    font-weight: bold;
    letter-spacing: -0.05em;
    opacity: 1!important;
}

.overlay a {
    text-decoration: none;
    font-size: 1em;
    font-weight: bold;
    background: #f39200;
    color: white;
    border: 2px solid #f39200;
    border-radius: 1em;
    text-align: center;
    padding: 0.3em 0.7em;
}

.boxLhover img {
    transform: scale(1.2);
}

.box:hover .overlay {
    opacity: 1;
    padding-top: 1em;
}

.overlay a:hover {
    background: none;
    color: #f39200;
}

.box:hover img {
    filter: blur(3px);
    transition: filter 0.5s;
} */
/* Animaion Cards Index Ende */

/* Div Vektorgrafiken Index */
.indexImg {
    width: 70%;
}

.vektorInhalt, .inhaltUeberUns {
    display: flex;
    flex-direction: column; /* Damit bei vertikaler Zentrierung die Elemente untereinander sind */
    text-align: left;
    justify-content: center;
    padding: 2em;
}

.vektorInhalt h3 {
    font-weight: bold;
    font-style: italic;
}

.vektorInhalt a {
    transform: translateX(-1.3em);
    transition-duration: 0.5s;
    color: #FFBD5B;
    text-decoration: none;
    font-size: 1.2em;
    letter-spacing: -0.05em;
}

.pfeilLink {
    visibility: hidden;
}

.vektorInhalt a:hover {
    .pfeilLink {
        visibility: visible;
    }
    transform: translateX(0);
    color: #f39200;
}

@media (min-width: 769px)
{
    .rowIndexAnimiert {
        opacity: 0;
        transform: translateX(100%);
        transition: all 1s ease;
        overflow-x: hidden!important;
        position: relative;
    }

    .rowLeft {
        transform: translateX(-100%);
    }

    .rowRight {
        transform: translateX(100%);
    }

    .rowIndexAnimiert.show {
        opacity: 1;
        transform: translateX(0);
    }
}
/* Div Vektorgrafiken Index Ende */

#underline {
    color: #f39200;
    text-shadow: 0px 0px 10px #FFBD5B;
}

.abstand-top {
    padding-top: 2.5em;
}

@media (max-width: 768px) {
    .abstand-top {
        padding-top: 3.5em;
    }
}

#table {
    width: 100%;
}

#table th td {
    width: 33%;
}

/* Mit object-fit wird das Bild angepasst, damit es nicht abgeschnitten wird */
.restaurantBilder {
    height: 10em;
    width: 100%;
    object-fit: contain;
}

.restaurantCard {
    color: #7f7f7f;
    margin-bottom: 1em;
    padding: 1em 0em;
    border: solid 1px #f39200;
    transition-duration: 0.5s;
}

.restaurantCard:hover {
    background-color: rgba(243, 146, 0, 0.05);
    border: solid 1px rgba(243, 146, 0, 0.05);
    box-shadow: 0 0 5px 5px rgba(243, 146, 0, 0.5);
}

.cardRestaurantName {
    color: #f39200;
    font-style: italic;
    font-weight: bold;
}

/* Damit Name des Restaurants über dessen Bild steht */
.divRestaurant {
    position: relative;
    text-align: left; 
    margin-top: 10em;
}

/* Breite des Bilds für Computer */
.bildRestaurant {
    margin-top: 7.5em;
    width: 60%;
    align-items: center;
}

/* Breite des Bilds für Handys */
@media (max-width: 768px) {
    .bildRestaurant {
      width: 100%; /* Für kleinere Bildschirme (Smartphones) */
    }
}

.icon {
    width: 1.5em;
    color: #ffaa2d;
}

.oeffnungszeiten {
    width: 100%;
    border-collapse: separate;
    border-spacing: 1em 0.25em;
}

.input {
    color: #7f7f7f;
    background-color: rgba(243, 146, 0, 0.05);
    border: 1px solid #f39200;
}

.status {
    color: #ffaa2d;
}

.bildAktuell {
    width: 100%;
}

/* Modal */
.btnAbbruch {
    background-color: transparent;
    color: #f39200;
    border: 2px solid #f39200;
}

.closeIcon {
    color: #f39200;
    background-color: white;
    border: none;
}

.closeIcon:hover {
    color: #7f7f7f;
}

.modal-title {
    color: #f39200;
}
/* Modal Ende */

.cardRezension h5 {
    color: #f39200;
}

.cardRezension h6 {
    color: #FFD79B;
}

.cardRezension {
    color: #7f7f7f;
    border: 1px solid #f39200;
    transition-duration: 0.5s;
    margin-bottom: 1em;
}

.cardRezension:hover {
    border: 1px solid white;
    box-shadow: 0 0 5px 5px rgba(243, 146, 0, 0.2);
}

.speisekarte {
    position: relative;
    color: #ffaa2d;
    font-size: 1.5em;
    font-style: italic;
    font-weight: bold;
    text-decoration: none;
    letter-spacing: -0.05em;
    display: inline-block;
}

.speisekarte::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0%; /* Anfangszustand: Der Hintergrund ist unsichtbar */
    height: 100%;
    background-color: #ffeac9;
    z-index: -1; /* Setzt den Hintergrund hinter den Text */
    transition: width 0.5s ease; /* Übergang der Breite */
}

.speisekarte:hover::before {
    width: 100%; /* Hintergrund wächst auf volle Breite */
}

.divSterne {
    display: flex;
}

.btnStern {
    border: none;
}

.btnStern:focus {
    box-shadow: none;
}

/* fuerInhaber */
#fuerInhaber_img1 {
    width: 100%;
    height: auto;
}

#fuerInhaber_img2 {
    width: 100%;
    height: auto;
}

.fuerInhaberRow {
    display: flex;
    align-items: stretch;
    margin: 0;
}

.divFuerInhaber {
    background-color: #ffeac9;
    padding: 20% 10%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.accordion-button:focus {
    box-shadow: none;
    h5 {
        color: white;
    }
}

.accordion-button.collapsed {
    background-color: #FFBD5B;
    box-shadow: none;
    h5 {
        color: white;
    }
}

.accordion-button.collapsed:hover {
    background-color: #f39200;
    box-shadow: none;
    h5 {
        color: white;
    }
}

.accordion-button:not(.collapsed) {
    background-color: #f39200;  /* Setze den Hintergrund des offenen Akkordeons */
    color: white;  /* Textfarbe ändern */
}

.accordion-button::after {
    background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23ffffff'><path fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/></svg>") !important;
}

.accordion-body {
    color: #7f7f7f;
}

.divStarteJetzt {
    position: relative;
    margin: 1em;
}

.starteJetzt {
    color: white;
    text-decoration: none;
    font-size: 2em;
    background-color: #f39200;
    position: absolute;
    left: 50%;
    transform: translate(-50%);
    justify-content: center;
    font-weight: bold;
    letter-spacing: -0.05em;
    font-style: italic;
    padding: 0.5em;
    border-radius: 20px;
    border: 2px solid #f39200;
    transition-duration: 0.5s;
}

.starteJetzt:hover {
    color: #f39200;
    text-decoration: none;
    font-size: 2em;
    background-color: white;
    position: absolute;
    left: 50%;
    transform: translate(-50%);
    justify-content: center;
    font-weight: bold;
    letter-spacing: -0.05em;
    font-style: italic;
    padding: 0.5em;
    border-radius: 20px;
}
/* fuerInhaber Ende */

/* Account */
.breadcrumb-item a {
    color: #f39200;
    text-decoration: none;
    transition-duration: 0.5s;
}

.breadcrumb-item a:hover {
    color: #7f7f7f;
}

.cardAccount {
    margin-bottom: 1em;
}

.cardAccount h5 {
    color: #f39200;
}

.cardAccount h6 {
    color: #FFBD5B;
}
/* Account Ende */

/* Dashboard */
/* sidebar */
.dashboard {
    display: flex;
}

.sidebar {
    position: sticky;
    top: 0;
    left: 0;
    bottom: 0;
    width: 10vw;
    height: 100vh;
    padding: 0 1.7rem;
    color: white;
    overflow: hidden;
    transition: all 0.5s linear;
    background: #f39200;
}

.sidebar:hover {
    width: 25vw;
    .restaurantName, .restaurantName h3 {
        visibility: visible;
    }
    .menu a span {
        visibility: visible;
    }
    transition: 0.5s;
}

.restaurantName, .restaurantName h3 {
    overflow: hidden;
    white-space: nowrap;
    color: white;
    visibility: hidden;
}

.menu {
    height: 88%;
    position: relative;
    list-style: none;
    padding: 0;
}

.menu li {
    margin: 1rem;
    padding: 0.5rem 0.25rem;
    border-radius: 0.5rem;
    transition: all 0.5s ease-in-out;
}

.menu li:hover {
    background: #ffd79b7a;
}

.menu a {
    color: white;
    text-decoration: none;
    transition: transform 500ms ease-in-out;
    display: flex;
    align-items: center; 
    gap: 0.5rem;
}

.menu a span {
    overflow: hidden;
    visibility: hidden;
}

.menu a svg {
    font-size: 1.2em;
}

.dashIcons {
    position: relative;
    width: 100%;
    font-size: 1em;
}

.logout {
    position: absolute;
    bottom: 1;
    left: 0;
    width: 100%;
}
/* sidebar Ende */

/* main-content */
.main-content {
    position: relative;
    background: #ffeac9;
    width: 100%;
    padding: 1rem;
}

.header-wrapper {
    color: #f39200;
    font-weight: bold;
}
/* main-content Ende */

/* Dashboard allgemein */
.auslastung {
    font-size: 1.5em;
    color: #ffaa2d;
}

.progress {
    position: relative;
    background-color: #ffeac9;
    border: 2px solid #f39200;
    border-radius: 1;
    overflow: hidden;
}

.progress-bar {
    height: 100%;
    width: 0;
    background-color: #f39200;
    animation: progressAnimation 2s ease-out forwards;
}

@keyframes progressAnimation {
    0% {
        width: 0;
    }
    100% {
        width: var(--progress-width);
    }
}

.cardBewertung {
    text-align: center;
}

.cardBewertungTitle {
    font-size: 3em;
    letter-spacing: -0.1em;
    color: #f39200;
    transition: all 0.5s ease-in-out;
}

.cardBewertungSubtitle {
    font-size: 1.5em;
    letter-spacing: -0.05em;
    color: #ffaa2d!important;
    font-style: italic;
}

.cardReservierung {
    text-align: center;
}

.cardReservierungTitle {
    font-size: 3em;
    letter-spacing: -0.1em;
    color: #f39200;
    transition: all 0.5s ease-in-out;
}

.cardReservierungSubtitle {
    font-size: 1.5em;
    letter-spacing: -0.05em;
    color: #ffaa2d!important;
    font-style: italic;
}

.card-text {
    color: #7f7f7f;
    letter-spacing: -0.05em;
}

#zusatzinfo {
    font-size: 0.75em;
    letter-spacing: normal;
}
/* Dashboard allgemein Ende */

/* Dashboard Reservierung */
.cardDashReservierung {
    color: #7f7f7f;
    margin-bottom: 1em;
}

.cardDashReservierung h5 {
    color: #f39200;
}

.cardDashReservierung h6 {
    color: #FFBD5B;
}
/* Dashboard Reservierung Ende */
/* Dashboard Ende */

/* Landingpage */
.landingpage {
    width: 100%;
    height: 100vh;
    /* background: #ffeac9; */
    background-image: linear-gradient(to bottom right, #ffeac9, #ffbd5b);
}

.inhalt-landingpage {
    margin-top: 30vh;
    margin-left: 1.75em;
    font-size: 4rem;
    font-weight: bold;
    text-shadow: 3px 3px rgba(0, 0, 0, 0.2);
    line-height: 1;
    letter-spacing: -0.05em;
}

#text-landingpage {
    margin-top: 10vh;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#landingpage-pubhub {
    font-size: 10rem;
    font-family: 'Mestiza';
    font-weight: bold;
    color: #f39200;
    margin-bottom: auto;
    white-space: nowrap; /* Verhindert Zeilenumbrüche */
    position: relative; /* Hier hinzufügen */
    z-index: 1; /* Damit der Text vor dem Bild erscheint */
}
  
/* Typing-Effekt */
@keyframes typing {
    from {
        width: 0;
    }
    to {
        width: 100%; /* Am Ende wird der gesamte Text sichtbar */
    }
}

#landingpage-icon {
    color: #7f7f7f;
    display: inline-block;
    animation: moveUpDown 1s ease-in-out infinite;
    transition-duration: 0.25s;
    margin-top: 4em;
    position: absolute;
}

#landingpage-icon:hover {
    color: #f39200;
}

#landingpage-icon svg {
    animation: moveUpDown 1s ease-in-out infinite; /* Animation für das Auf-und-Ab-Bewegen */
}

.rowLandingpage {
    --bs-gutter-x: 0;
}

@keyframes moveUpDown {
    0% {
      transform: translateY(0); /* Startposition */
    }
    50% {
      transform: translateY(-10px); /* Bewege das Icon nach oben */
    }
    100% {
      transform: translateY(0); /* Zurück zur Startposition */
    }
}

#bildLandingpage {
    width: 10em;
    position: absolute; /* Absolut positioniert */
    top: 25vh; /* Bild bleibt an der gleichen Position, auch während des Typing-Effekts */
    right: 10%;
    z-index: 0; /* Das Bild bleibt im Hintergrund */
}

@media (max-width: 768px) {
    .landingpage {
        display: flex;
        flex-direction: column;
    }
    .inhalt-landingpage {
      margin-top: 15vh;
      margin-left: 5%;
      padding-bottom: 5em;
      font-size: 2em;
      text-shadow: 1px 1px rgba(0, 0, 0, 0.2);
    }
    #landingpage-pubhub {
        font-size: 3em;
    }
    #bildLandingpage {
        top: 55vh;
    }
    #landingpage-icon {
        position: absolute;
        margin-top: 25vh;
    }
    .navbar-collapse {
        background-color: rgba(243,146,0,0.4)!important;
        backdrop-filter: blur(10px);
        width: 100vw;
        height: 100vh;
        position: absolute;
        top: -2em;
        left: -5.5%;
        right: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .navbar-collapse .navbar-navLinks {
        margin-left: 25%;
        text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.1);
    }
    .navbar-toggler {
        z-index: 1000;
    }
    .nav-link-underline:after {
        display: block;
        content: '';
        width: inherit;
        border-bottom: solid 2px #f39200;  
        transform: scaleX(0);  
        transition: transform 500ms ease-in-out;
        transition-duration: 0.5s;
    }    
    .nav-link-underline:hover {
        color: #f39200;
        text-shadow: none;
    }
    #divNav2 {
        display: none;
    }
}
/* Landingpage Ende */

/* Navbar 2 */
.navbar2 {
    background: transparent!important;
    width: 90%;
    height: 4em;
    margin-top: 2em;
    padding-left: 1em;
    padding-right: 1em;
    position: -webkit-sticky;
    position: fixed;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 2;
}

#logo-nav2 {
    width: 5em;
    position: relative;
}

.containerNav2 {
    display: flex; /* Setzt die containerNav2 als Flex-Container */
    width: 100%;
    align-items: center;
}

.ul_nav2 {
    display: flex;
    justify-content: flex-end; /* Richtet die Links nach rechts aus */
    width: 100%;
    align-items: center;
}

.nav-link2 {
    color: #f39200;
    text-decoration: none;
    list-style-type: none;
    margin-left: 1em; /* Abstand zwischen den Links */
    vertical-align: -1em;
}

.nav-item2 {
    list-style-type: none;
}

#divNav2 {
    position: fixed;
    top: 0;
    width: 100%;
    /* z-index: 1000;
    transition: top 0.5s ease-in-out; */
}
/* Navbar 2 Ende */

.form-check {
    margin-left: 0.1em;
}

#checkAGB {
    background-color: white;
    border: 2px solid #f39200;
    box-shadow: none;
}

#checkAGB:checked {
    background-color: #f39200;
}

.imgUeberUns {
    max-width: 75%;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

#promovideo {
    max-width: 75%;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 1em;
}

@media (max-width: 768px) {
    .imgUeberUns, #promovideo {
        width: 100%; /* Setzt die Bilder und Videos auf 100% der Breite */
        height: auto; /* Verhindert Verformungen */
    }
}

.imgBeliebt {
    width: 90%;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.carousel-control-prev-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23f39200' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E") !important;
}
   
.carousel-control-next-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23f39200' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E") !important;
}

@media (max-width: 768px) {
    .imgBeliebt {
        width: 75%;
    }

    .beliebtText {
        width: 75%;
        margin-top: 1em;
    }
}